<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package darkel
 */
get_header();
?>
	<!-- breadcrumb part -->
    <section class="breadcrumb_part">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="breadcrumb_iner">
                        <h2><?php the_archive_title(); ?></h2>
                        <?php darkel_breadcrumbs();  ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- breadcrumb part end -->
    <!-- corses details part -->
    <section class="blog_page section_padding">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="blog_post_list">
                    <?php
                      if ( have_posts() ) : 
                      while ( have_posts() ) :
                      the_post();
                    ?>
                    <?php  get_template_part( 'template-parts/content', get_post_type() ); ?>
                    <?php 
                    endwhile;
                    ?>
                    </div>
                    <div class="page_pageination justify-content-start">
                        <?php darkel_pagination(); ?>
                    </div>
                   <?php 
                     else :
                     get_template_part( 'template-parts/content', 'none' );
                     endif;
                    ?> 
                </div>
               <?php get_sidebar(); ?>
            </div>
        </div>
    </section>
    <!-- corses details part end -->
<?php
get_footer();
