<?php
Redux::setSection('darkel_opt', array(
	'title'     => esc_html__('Blog settings', 'darkel_lite'),
	'id'        => 'blog_page',
	'icon'      => 'dashicons dashicons-admin-post',
));
Redux::setSection('darkel_opt', array(
	'title'     => esc_html__('Blog Page', 'darkel_lite'),
	'id'        => 'blog_titlebar_settings',
	'icon'      => 'dashicons dashicons-admin-post',
    'subsection' => true,
	'fields'    => array(
		array(
			'title'     => esc_html__('Blog page title', 'darkel_lite'),
			'subtitle'  => esc_html__('Give here the blog page title', 'darkel_lite'),
			'desc'      => esc_html__('This text will be show on blog page banner', 'darkel_lite'),
			'id'        => 'blog_title',
			'type'      => 'text',
			'default'   => esc_html__('Blog Classic', 'darkel_lite')
		),
        array(
            'title'         => esc_html__('Title font properties', 'darkel_lite'),
            'id'            => 'blog_titlebar_title_typo',
            'type'          => 'typography',
            'google'        => true,
            'text-align'    => true,
            'output'        => '.blog_grid_bg .breadcrumb_part h2',
            'preview'       => array(
                'always_display' => false
            )
        ),
        array(
            'title'     => esc_html__('Background Color', 'darkel_lite'),
            'id'        => 'blog_banner_bg_color',
            'output'    => '.blog_grid_bg',
            'type'      => 'color',
            'mode'      => 'background'
        ),
        array(
            'title'     => esc_html__('Background Images', 'darkel_lite'),
            'subtitle'  => esc_html__( 'Upload here a image file for Blog Header Background Images', 'darkel_lite' ),
            'id'        => 'blog_header_bg',
            'type'      => 'media'
        ),
        array(
			'title'     => esc_html__('Call Two Action Button', 'darkel_lite'),
			'subtitle'  => esc_html__('Show/hide C2A Button on blog page', 'darkel_lite'),
			'id'        => 'is_blog_c2a',
			'type'      => 'switch',
            'on'        => esc_html__('Show', 'darkel_lite'),
            'off'       => esc_html__('Hide', 'darkel_lite'),
            'default'   => '1',
		),

	)
));
Redux::setSection('darkel_opt', array(
	'title'     => esc_html__('Blog single', 'darkel_lite'),
	'id'        => 'blog_single_opt',
	'icon'      => 'dashicons dashicons-info',
	'subsection' => true,
	'fields'    => array(
		array(
			'title'     => esc_html__('Category Display', 'darkel_lite'),
			'description'=> esc_html__('Switch to Hide if want to hide the Category in Header Section', 'darkel_lite' ),
			'id'        => 'is_category_show',
			'type'      => 'switch',
            'on'        => esc_html__('Enabled', 'darkel_lite'),
            'off'       => esc_html__('Disabled', 'darkel_lite'),
            'default'   => '1'
		),
		array(
			'title'     => esc_html__('Social share', 'darkel_lite'),
			'description'=> esc_html__('Switch to Hide if want to hide the Social Share in Post', 'darkel_lite' ),
			'id'        => 'is_social_share',
			'type'      => 'switch',
            'on'        => esc_html__('Enabled', 'darkel_lite'),
            'off'       => esc_html__('Disabled', 'darkel_lite'),
            'default'   => '1'
		),
		array(
			'title'     => esc_html__('Post tag', 'darkel_lite'),
			'description'=> esc_html__('Switch to Hide if want to hide the Post Tags in Post', 'darkel_lite' ),
			'id'        => 'is_post_tag',
			'type'      => 'switch',
            'on'        => esc_html__('Show', 'darkel_lite'),
            'off'       => esc_html__('Hide', 'darkel_lite'),
            'default'   => '1'
		),
		 array(
            'title'     => esc_html__('Header Background Color', 'darkel_lite'),
            'id'        => 'blog_single_bg_color',
            'output'    => '.blog_breadcrumb',
            'type'      => 'color',
            'mode'      => 'background'
        ),
		array(
            'title'     => esc_html__('Header Background Images', 'darkel_lite'),
            'subtitle'  => esc_html__( 'Upload here a image file for Blog Single Header Background Images', 'darkel_lite' ),
            'id'        => 'blog_sisngle_header_bg',
            'type'      => 'media'
        ),
	)
));