<?php
// Footer settings
Redux::setSection('darkel_opt', array(
	'title'     => esc_html__('Footer Settings', 'darkel_lite'),
	'id'        => 'darkel_footer',
	'icon'      => 'el el-arrow-down',
    'fields'           => array(
        array(
            'title'     => esc_html__('Footer Widget', 'darkel_lite'),
            'description'=> esc_html__('Switch to Hide if want to hide the Footer Widget', 'darkel_lite' ),
		    'id'        => 'if_footer_widget',
		    'type'      => 'switch',
		    'on'        => esc_html__('Show', 'darkel_lite'),
		    'off'       => esc_html__('Hide', 'darkel_lite'),
		    'default'   => '1'
	    ),
        array(
            'title'     => esc_html__('Footer Social Icon', 'darkel_lite'),
            'description'=> esc_html__('Switch to Hide if want to hide the Social Icon.', 'darkel_lite' ),
            'id'        => 'footer_social_icon',
            'type'      => 'switch',
            'on'        => esc_html__('Show', 'darkel_lite'),
            'off'       => esc_html__('Hide', 'darkel_lite'),
            'default'   => '1'
        ),
        array(
            'title'     => esc_html__('Section Background Color', 'darkel_lite'),
            'desc'      => esc_html__('Footer Widget Section background Color', 'darkel_lite'),
            'id'        => 'footer_widget_bg_color',
            'type'      => 'color',
            'mode'      => 'background',
            'output'    => array( '.footer_section' )
        ),
        array(
            'title'     => esc_html__('Font color', 'darkel_lite'),
            'desc'      => esc_html__('Footer Widget Section Font Color', 'darkel_lite'),
            'id'        => 'footer_top_font_color',
            'type'      => 'color',
            'output'    => array('.footer_section .footer_nav h4, .footer_section .footer_nav p')
        ),
        array(
            'title'     => esc_html__('Typography Settings', 'darkel_lite'),
            'desc'      => esc_html__('The Footer Widget Typography Settings', 'darkel_lite'),
            'id'        => 'topbar_typography',
             'type'     => 'typography',
            'color'     => false,
            'output'    => '.footer_section',
        ),
    )
));
// Footer settings


