<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package darkel
 */
get_header();
while ( have_posts() ) : the_post();
?>
 <section class="blog_page section_padding">
    <div class="container">
        <div class="row">
            <div class="col-lg-8">
                <div class="blog_post_list">
                <h2><?php the_title(); ?></h2>
                 <?php
	             the_content();
	             wp_link_pages(array(
	                'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'darkel_lite' ) . '</span>',
	                'after'       => '</div>',
	                'link_before' => '<span>',
	                'link_after'  => '</span>',
	                'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'darkel_lite' ) . ' </span>%',
	                'separator'   => '<span class="screen-reader-text">, </span>',
	             ));
	             ?>
                 <?php
                 // If comments are open or we have at least one comment, load up the comment template.
                 if ( comments_open() || get_comments_number() ) :
                    comments_template();
                 endif;
                 ?>             	
                </div>
            </div>
           <?php get_sidebar(); ?>
        </div>
    </div>
</section>
<?php
endwhile; // End of the loop.
get_footer();
