<?php
/**
 * Plugin Name: darkel Widget
 * Plugin URI: #
 * Description: This plugin adds the core features to the ConC WordPress theme. You must have to install this plugin to work with this theme.
 * Version: 1.1
 * Author: DroitTheme
 * Author URI: #
 * Text domain: darkel_widget
 */

if ( !defined('ABSPATH') )
    die('-1');

/**
 * Defining plugin constants
 */
define('darkel_CORE_FILE', plugin_dir_path(__FILE__));
define('darkel_CORE_DIR', plugins_url(__FILE__));
define("darkel_SHORTCODE_IMG", plugin_dir_url(__FILE__) . 'shortcodes/images');

/**
 * Register the plugin text domain
 *
 * @return void
 */
add_action( 'plugins_loaded', function() {
    load_plugin_textdomain( 'darkel_widget', false, plugin_basename( dirname( __FILE__ ) ) . '/languages' );
});

require darkel_CORE_FILE . '/widgets/widgets.php';


