<?php
/**
 * Created by Abdur Rahaman.
 * User: DroitLab
 * Date: 30/09/2019
 * Time: 12:30 AM
 */

class widget_contact_info extends WP_Widget {

        public function __construct() {
        parent::__construct(
            'widget_contact_info',  // Base ID
            esc_html__( 'ddoc :: Contact Information', 'ddoc' ),   // Name
            array( 'description' => esc_html__( 'Contact Information.', 'ddoc' ) )    // Args
        );
    }

        function widget($args, $instance) {
          echo wp_kses_post($args['before_widget']);
            ?> 
             <?php
            // Get menu
            $allowed_tags = array(
            'div' => array(
                'class' =>array(),
                'id' => array()
            ),
            'h4' => array(
                'class' =>array(),
                'id' => array()
            ),
            'h2' => array(
                'class' =>array(),
                'id' => array()
            ),
        );
          

            $instance['title'] = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
            $email     = isset($instance['email']) ? $instance['email'] : '';
            $phone    = isset($instance['phone']) ? $instance['phone'] : '';

            if ( !empty($instance['title']) )
                
            echo wp_kses($args['before_title'] . $instance['title'] . $args['after_title'],wp_kses_allowed_html('post'));
             ?>
             <ul class="footer_menu">
              <li><a href="tel:<?php echo esc_html($instance['phone']) ?>"><?php echo esc_html($instance['phone']) ?></a></li>
              <li><a href="mailto:<?php echo esc_html($instance['email']) ?>"><?php echo esc_html($instance['email']) ?></a></li>
          </ul>
          <form action="#" class="sunbs_form">
              <div class="subs_input">
                  <input class="form-control" type="email" placeholder="Email" onfocus="this.placeholder=''" onblur="this.placeholder='Email'">
                  <button class="btn subs_btn" type="submit"><i class="ti-arrow-right"></i></button>
              </div>
          </form> 
            <?php


             // wp_nav_menu( array( 'fallback_cb' => '', 'location' => $nav_menu, 'container_class' => 'ul', 'menu_class' => 'footer_menu', ) );


              


            echo  wp_kses_post($args['after_widget']);
        }

        function form( $instance ) {
            $title = isset( $instance['title'] ) ? $instance['title'] : '';
            $email = isset($instance['email']) ? esc_attr($instance['email']) : '';
            $phone = isset($instance['phone']) ? esc_attr($instance['phone']) : '';
 
            ?>
              <p>
              <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php _e('Title:','ddoc') ?></label>
              <input type="text" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($title); ?>" />
              </p>

             <p>
             <label for="<?php echo $this->get_field_id('email'); ?>"><?php _e('email:','ddoc'); ?></label>
             <input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" />
             </p>

             <p>
             <label for="<?php echo $this->get_field_id('phone'); ?>"><?php _e('phone:','ddoc'); ?></label>
             <input class="widefat" id="<?php echo $this->get_field_id('phone'); ?>" name="<?php echo $this->get_field_name('phone'); ?>" type="text" value="<?php echo $phone; ?>" />
             </p>   
                    

            <?php
        }

        function update( $new_instance, $old_instance ) {
            $instance['title'] = strip_tags( stripslashes($new_instance['title']) );
            $instance['nav_menu'] = (int) $new_instance['nav_menu'];
            return $instance;
        }
    }



// register ddoc_Logo_Social_Widget
function register_ddoc_contact_info_widget() {
    register_widget('widget_contact_info');
}

add_action('widgets_init', 'register_ddoc_contact_info_widget');
