<?php
Redux::setSection('darkel_opt', array(
    'title'     => esc_html__('404 Settings', 'darkel_lite'),
    'id'        => '404_0pt',
    'icon'      => 'dashicons dashicons-info',
    'fields'    => array(
       array(
            'title'     => esc_html__('404 logo', 'darkel_lite'),
            'subtitle'  => esc_html__( 'Upload here a image file for your 404 Page', 'darkel_lite' ),
            'id'        => 'error_logo',
            'type'      => 'media',
            'compiler'  => true,
            'default'   => array(
                'url'   => get_template_directory_uri().'/assets/img/error.png'
            )
        ),
        array(
            'title'     => esc_html__('Page Title', 'darkel_lite'),
            'id'        => 'error_title',
            'subtitle'  => esc_html__( 'Enter The 404 Page Title', 'darkel_lite' ),
            'type'      => 'text',
            'default'   => esc_html__('We are Sorry, Page not found', 'darkel_lite'),
        ),
        array(
            'title'     => esc_html__('Title Font Color', 'darkel_lite'),
            'desc'      => esc_html__('404 Page Header Font Color', 'darkel_lite'),
            'id'        => '404_page_font_color',
            'type'      => 'color',
            'output'    => array( '.error_page .error_page_iner h3' )
        ),
        array(
            'title'     => esc_html__('Typography Settings', 'darkel_lite'),
            'desc'      => esc_html__('The 404 Page Header Font Typography Settings', 'darkel_lite'),
            'id'        => '404_title_typography',
             'type'     => 'typography',
            'color'     => false,
            'output'    => '.error_page .error_page_iner h3',
        ),
        array(
            'title'     => esc_html__('Subscription Form placeholder Text', 'darkel_lite'),
            'id'        => '404_placeholder',
            'type'      => 'text',
            'default'   => esc_html__('Enter Your Email Address', 'darkel_lite'),  
        ),
        array(
            'title'     => esc_html__('Home button label', 'darkel_lite'),
            'id'        => 'error_home_btn_label',
            'type'      => 'text',
            'default'   => esc_html__('Back to Homepage', 'darkel_lite'),
            
        )
    )
));