<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package darkel
 */

?>
<div class="single_page_blog_post">
	<?php 
	 if(has_post_thumbnail()):
       the_post_thumbnail('darkel_blog_770x420');
	 endif; 
	?>
    <div class="single_blog_content">
        <div class="post_author">
            <p><i class="icon_profile"></i><?php echo get_the_author(); ?></p>
            <p><i class="icon_clock_alt"></i><?php echo get_the_Date(); ?></p>
        </div>
        <h2> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h2>
        <p><?php echo  wp_trim_words( get_the_content(), 35, false ); ?></p>
        <a href="<?php the_permalink(); ?>" class="read_more_btn"> <?php echo esc_html__( 'Read More', 'darkel_lite' ); ?><i class="arrow_right"></i> </a>
    </div>
</div>
